discography:
- catalog: N/A
  date: '2023-12-11'
  link: album/134965
  reprint: false
  roles:
  - Artist
  titles:
    en: The Symphony of Hades
    ja: The Symphony of Hades
    ja-latn: The Symphony of Hades
  type: game
featured_on: []
info:
  Credited works: 1 albums in database
  Credits: 1 artist
  Formed: '2023'
  Members: &id001
  - link: artist/44375
    names:
      en: Angel Hernandez
  - link: artist/57522
    names:
      en: Carrie Wood
  - link: artist/35527
    names:
      en: Mark Schimmelbusch
link: artist/60758
members: *id001
meta:
  added_date: 2023-12-12T12:30
  edited_date: 2023-12-12T12:30
  fetched_date: 2024-10-05T11:19
  ttl: 86400
  visitors: 80
name: Premium Vintage
notes: 'Premium Vintage are

  Mark "Mahn" Schimmelbusch: Guitars

  Carrie Wood: Bass

  Angel Hernandez: Drums'
type: Unit
vgmdb_link: https://vgmdb.net/artist/60758?perpage=99999
websites: {}
